# Visualization
TKService
Aspect

# Aspect_LineStyle Class Reference

This class allows the definition of a Line Style.
The Style can be Predefined or defined by the user
.

`#include <Aspect_LineStyle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Aspect_LineStyle ()
| Creates a line style with the default value of LineStyle type : SOLID .
Standard_EXPORT | Aspect_LineStyle (const Aspect_TypeOfLine Type)
| Creates the line style <type>. .
Standard_EXPORT | Aspect_LineStyle (const TColQuantity_Array1OfLength &Style)
| Creates a line style from METER Float style descriptor . Style Descriptor is : Each Odd float described the Drawn part of the style . Each Even float described the Hidden part of the style . (e.g) [0.010,0.002,0.005,0.004] Draw 10 MM ,Move 2 MM,Draw 5 MM .. .
Standard_EXPORT Aspect_LineStyle & | Assign (const Aspect_LineStyle &Other)
| Updates the line style <me> from the definition of the line style <other>. .
Aspect_LineStyle & | operator= (const Aspect_LineStyle &Other)
Standard_EXPORT void | SetValues (const Aspect_TypeOfLine Type)
| Updates the line style <me> from the definition of the line style <type>. .
Standard_EXPORT void | SetValues (const TColQuantity_Array1OfLength &Style)
| Updates a line style with the new Float descriptor .
Standard_EXPORT Aspect_TypeOfLine | Style () const
| Returns the type of the line style <me> .
Standard_EXPORT Standard_Integer | Length () const
| Returns the components length of the line style .
Standard_EXPORT const TColQuantity_Array1OfLength & | Values () const
| Returns the components of a line style .
Standard_EXPORT Standard_Boolean | IsEqual (const Aspect_LineStyle &Other) const
Standard_Boolean | operator== (const Aspect_LineStyle &Other) const
Standard_EXPORT Standard_Boolean | IsNotEqual (const Aspect_LineStyle &Other) const
Standard_Boolean | operator!= (const Aspect_LineStyle &Other) const

## Private Member Functions

Standard_EXPORT Handle_TColQuantity_HArray1OfLength | PredefinedStyle (const Aspect_TypeOfLine Type)
| Set MyLineDescriptor with the predefined style values according of type .

## Private Attributes

Aspect_TypeOfLine | MyLineType
Handle_TColQuantity_HArray1OfLength | MyLineDescriptor

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_LineStyle::Aspect_LineStyle | ( |  | ) |

Standard_EXPORT Aspect_LineStyle::Aspect_LineStyle | ( | const Aspect_TypeOfLine | Type | ) |

Standard_EXPORT Aspect_LineStyle::Aspect_LineStyle | ( | const TColQuantity_Array1OfLength & | Style | ) |

## Member Function Documentation

Standard_EXPORT Aspect_LineStyle& Aspect_LineStyle::Assign | ( | const Aspect_LineStyle & | Other | ) |

Standard_EXPORT Standard_Boolean Aspect_LineStyle::IsEqual | ( | const Aspect_LineStyle & | Other | ) | const

Standard_EXPORT Standard_Boolean Aspect_LineStyle::IsNotEqual | ( | const Aspect_LineStyle & | Other | ) | const

Standard_EXPORT Standard_Integer Aspect_LineStyle::Length | ( |  | ) | const

void Aspect_LineStyle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect_LineStyle::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect_LineStyle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Boolean Aspect_LineStyle::operator!= | ( | const Aspect_LineStyle & | Other | ) | const`[inline]`

Aspect_LineStyle& Aspect_LineStyle::operator= | ( | const Aspect_LineStyle & | Other | ) | `[inline]`

Standard_Boolean Aspect_LineStyle::operator== | ( | const Aspect_LineStyle & | Other | ) | const`[inline]`

Standard_EXPORT Handle_TColQuantity_HArray1OfLength Aspect_LineStyle::PredefinedStyle | ( | const Aspect_TypeOfLine | Type | ) | `[private]`

Standard_EXPORT void Aspect_LineStyle::SetValues | ( | const TColQuantity_Array1OfLength & | Style | ) |

Standard_EXPORT void Aspect_LineStyle::SetValues | ( | const Aspect_TypeOfLine | Type | ) |

Standard_EXPORT Aspect_TypeOfLine Aspect_LineStyle::Style | ( |  | ) | const

Standard_EXPORT const TColQuantity_Array1OfLength& Aspect_LineStyle::Values | ( |  | ) | const

## Field Documentation

Handle_TColQuantity_HArray1OfLength Aspect_LineStyle::MyLineDescriptor `[private]`

Aspect_TypeOfLine Aspect_LineStyle::MyLineType `[private]`

The documentation for this class was generated from the following file:

- Aspect_LineStyle.hxx